Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## superwaba.ext.xplat.io.print
Class TypeWriter

    java.lang.Object
      |
      +--superwaba.ext.xplat.io.print.TypeWriter

public abstract class TypeWriter
extends Object

This class acts like a simple typewriter. You can print only text through it. And, if supported, also set the font. Very good if sending just text is enough for you.

Constructor Summary
`protected` | `TypeWriter()` This class cannot be instantiated

Method Summary
`abstract void` | `println(String s)` This method prints the given String using the current font.
`abstract void` | `printParagraph(String s)` This method prints the given String using the current font.
`abstract void` | `setFont(superwaba.ext.xplat.io.print.Font font)` Sets the font.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, toString, wait, wait`

Constructor Detail

### TypeWriter

    protected TypeWriter()
                  throws superwaba.ext.xplat.io.print.NotSupportedException

  This class cannot be instantiated

Method Detail

### println

    public abstract void println(String s)
                          throws superwaba.ext.xplat.io.print.PrinterException

  This method prints the given String using the current font. The text is not wrapped at end of line.

### printParagraph

    public abstract void printParagraph(String s)
                                 throws superwaba.ext.xplat.io.print.PrinterException,
                                        superwaba.ext.xplat.io.print.NotSupportedException

  This method prints the given String using the current font. The text is wrapped at end of line.

### setFont

    public abstract void setFont(superwaba.ext.xplat.io.print.Font font)
                          throws superwaba.ext.xplat.io.print.PrinterException,
                                 superwaba.ext.xplat.io.print.NotSupportedException

  Sets the font. This method may not be supported.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD